package com.bonus.canteen.core.cook.enums;

public enum CookBindTypeEnum {
   CURRENT(1, "当餐点餐"),
   RESERVE(2, "预订餐"),
   WEEK(3, "一周菜谱"),
   QR_CODE(4, "扫码点餐"),
   SELF_MACHINE(5, "自助终端"),
   MEAL_LINE(6, "自助餐线/小碗菜餐线"),
   TABLE(7, "智慧餐台/消费机"),
   PAD(8, "点餐机/手持机/平板"),
   SCREEN(9, "信息发布屏"),
   DISHES_IDENTIFY(10, "菜品识别"),
   NUTRITIONAL_PRICE_TAG(11, "营养价签");

   private final Integer key;
   private final String value;

   private CookBindTypeEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      CookBindTypeEnum[] enums = values();
      CookBindTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         CookBindTypeEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      CookBindTypeEnum[] enums = values();
      CookBindTypeEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         CookBindTypeEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
